Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GetupEngineSelector Class Reference

A module selector for GetupEngine modules. More...

`#include <GetupEngineSelector.h>`

Inheritance diagram for GetupEngineSelector:

[legend]
Collaboration diagram for GetupEngineSelector:

[legend]
List of all members.

## Public Member Functions
| GetupEngineSelector (ModuleHandler &handler, const GetupEngineInterfaces &interfaces)
| Constructor.
virtual Module * | createSolution (SolutionRequest::ModuleSolutionID id)
| Is called on start and when the selected solution changes to create a specific solution.
bool | executeParameterized (JointData &jointData)
| Executes the module.

## Detailed Description

A module selector for GetupEngine modules.

Definition at line 19 of file GetupEngineSelector.h.

## Constructor & Destructor Documentation

GetupEngineSelector::GetupEngineSelector | ( | ModuleHandler & | handler,
|  | const GetupEngineInterfaces & | interfaces
| ) | `[inline]`

  | Constructor. Parameters:
  handler | The module handler of the process.
  interfaces | The paramters of the GetupEngine module.
Definition at line 27 of file GetupEngineSelector.h. References ModuleHandler::setModuleSelector().

Here is the call graph for this function:

## Member Function Documentation

virtual Module* GetupEngineSelector::createSolution | ( | SolutionRequest::ModuleSolutionID | id | ) | `[inline, virtual]`

  | Is called on start and when the selected solution changes to create a specific solution. Parameters:
  id | The id of the solution to create
Returns: The created solution or 0 Implements ModuleSelector. Definition at line 40 of file GetupEngineSelector.h.

bool GetupEngineSelector::executeParameterized | ( | JointData & | jointData | ) | `[inline]`

| Executes the module. Definition at line 52 of file GetupEngineSelector.h. Referenced by GT2005MotionControl::execute().

The documentation for this class was generated from the following file:

- Modules/GetupEngine/GetupEngineSelector.h